<?php
	
class identity {

	protected $oidentity;

	public function __construct($ostack, $apiP){

		$this->oidentity = $ostack->identityV3();
		$this->plugins = $apiP;

	}

	public function genToken(){
		global $Args;
		$token = $this->oidentity->generateToken($Args);	
		return $token;
	}	
}
